# class KRecentDocument | Manage the "Recent Document Menu" entries displayed by applications such as Kicker and Konqueror. More...
Definition | `#include <krecentdocument.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Static Methods

- static void add (const QString &documentStr, bool isURL = false)
- static void clear ()
- static int maximumItems ()

## Detailed Description

Manage the "Recent Document Menu" entries displayed by applications such as Kicker and Konqueror.

These entries are automatically generated .desktop files pointing to the current application and document. You should call the static add() method whenever the user opens or saves a new document if you want it to show up in the menu.

You don't have to worry about this if you are using any KFileBaseDialog derived class to open and save documents, as it already calls this class. User defined limits on the maximum number of documents to save, etc... are all automatically handled.

void add (const QString &documentStr, bool isURL = false) | ### add

[static]

Add a new item to the Recent Document menu.

Parameters:

documentStr | The full path to the document or URL to add.
isURL | Local files and URL .desktop files are encoded differently in order for the filename to be easier for Konqueror users to read. Set to `true` if `documentStr` is an URL and not a local file path.

void clear () | ### clear

[static]

Clear the recent document menu of all entries.

int maximumItems () | ### maximumItems

[static]

Retrieve the maximum amount of recent document entries allowed.

- Author: Daniel M. Duley <mosfet@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.